Bug 51569 - [MAINTAINER] Update mail/offlineimap to 3.99.15
Summary: [MAINTAINER] Update mail/offlineimap to 3.99.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-29 11:30 UTC by Sergei Kolobov
Modified: 2003-05-07 18:34 UTC (History)
0 users

See Also:


Attachments
offlineimap-3.99.15.patch (9.49 KB, patch)
2003-04-29 11:30 UTC, Sergei Kolobov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Kolobov 2003-04-29 11:30:11 UTC
- Update to 3.99.15
  NOTE: the config file syntax changed in this version,
        please refer to manual when upgrading from pre-3.99.12 versions
- Thus, slightly reword warning in pkg-message
- Unroll two .for loops in post-install
- Re-sort pkg-plist and use DOCSDIR and EXAMPLESDIR

Removed files:
- files/patch-ui::Curses.py - this patch has been integrated 
  into the upstream release

Supercedes:ports/51487 (update to 3.99.13)
Comment 1 Sergei Kolobov 2003-04-30 11:40:28 UTC
Please add a new patch:
- files/patch-Maildir.py

This patch fixes infinite directory traversal loop when Maildir
separator is '/'. The patch was supplied by John Goerzen, OfflineIMAP's
author, and will be included in the next release (3.99.16).

Modified: offlineimap/repository/Maildir.py
==============================================================================
--- offlineimap/repository/Maildir.py	(original)
+++ offlineimap/repository/Maildir.py	2003-04-29 11:30:31.000000000 -0500
@@ -132,7 +132,7 @@
 
                 retval.append(folder.Maildir.MaildirFolder(self.root, foldername,
                                                            self.getsep(), self, self.accountname))
-            if self.getsep() == '/':
+            if self.getsep() == '/' and dirname != '.':
                 # Check sub-directories for folders.
                 retval.extend(self._getfolders_scandir(root, foldername))
         self.debug("_GETFOLDERS_SCANDIR RETURNING %s" % \
Comment 2 Ying-Chieh Liao freebsd_committer 2003-05-07 18:34:05 UTC
State Changed
From-To: open->closed

committed, thanks